com.dlsc.flexgantt.policy.gantt

## Enum StatusBarField

- java.lang.Object
- - java.lang.Enum<StatusBarField>
  - - com.dlsc.flexgantt.policy.gantt.StatusBarField

- All Implemented Interfaces:
    Serializable, Comparable<StatusBarField>

      public enum StatusBarField
      extends Enum<StatusBarField>

  An enumeration of display fields that can be displayed by the status bar.
  Since:
    1.0
  Author:
    Dirk Lemmermann

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `CROSSHAIR` A field that shows whether the crosshair layer is currently turned on or not.
    `GRID` A field that shows whether the grid is currently turned on or not.
    `KEY_STROKES` A field that displays an option to show the currently registered key strokes.
    `MEMORY` A field showing the current memory usage.
    `MESSAGE` A field that indicates whether an information, warning or error message has arrived.
    `POPUP` A field that shows whether the popup layer (tooltip layer) is currently turned on or not.
    `PROGRESS_BAR` A field showing the progress of an on-going operation.
    `TIME` A field for displaying a time point.
    `TIME_NOW` A field that displays the time that is considered 'now' by the Gantt chart.
    `TIME_NOW_LOCK` A field that displays an option to lock the time now, so that it will always be visible (auto scrolling).
    `TIME_ZONE` A field for displaying the time zone (e.g.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static StatusBarField` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static StatusBarField[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### TIME

          public static final StatusBarField TIME

      A field for displaying a time point. Used in various situations to show the user a time at a given location (during mouse motion events for example).
      Since:
        1.0

    - #### TIME_ZONE

          public static final StatusBarField TIME_ZONE

      A field for displaying the time zone (e.g. Berlin, New York, London) currently shown by the timeline. The field allows the user to change the time zone interactively.
      Since:
        1.0

    - #### TIME_NOW

          public static final StatusBarField TIME_NOW

      A field that displays the time that is considered 'now' by the Gantt chart.
      Since:
        1.0

    - #### TIME_NOW_LOCK

          public static final StatusBarField TIME_NOW_LOCK

      A field that displays an option to lock the time now, so that it will always be visible (auto scrolling).
      Since:
        1.0
      See Also:
        `AbstractGanttChart.setTimeNowScrolling(boolean)`

    - #### KEY_STROKES

          public static final StatusBarField KEY_STROKES

      A field that displays an option to show the currently registered key strokes.
      Since:
        1.0

    - #### GRID

          public static final StatusBarField GRID

      A field that shows whether the grid is currently turned on or not. A tooltip on the field describes which grid is active.
      Since:
        1.0

    - #### POPUP

          public static final StatusBarField POPUP

      A field that shows whether the popup layer (tooltip layer) is currently turned on or not.
      Since:
        1.0

    - #### CROSSHAIR

          public static final StatusBarField CROSSHAIR

      A field that shows whether the crosshair layer is currently turned on or not.
      Since:
        1.0

    - #### MESSAGE

          public static final StatusBarField MESSAGE

      A field that indicates whether an information, warning or error message has arrived. The uer can double click on the field to bring up a dialog listing all available messages.
      Since:
        1.0

    - #### MEMORY

          public static final StatusBarField MEMORY

      A field showing the current memory usage. If added to the status bar a memory thread will be launched that updates the field's text.
      Since:
        1.0

    - #### PROGRESS_BAR

          public static final StatusBarField PROGRESS_BAR

      A field showing the progress of an on-going operation.
      Since:
        1.0

  - ### Method Detail

    - #### values

          public static StatusBarField[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StatusBarField c : StatusBarField.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StatusBarField valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.